// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from marti_nav_msgs:msg/RouteSpeed.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "marti_nav_msgs/msg/route_speed.h"


#ifndef MARTI_NAV_MSGS__MSG__DETAIL__ROUTE_SPEED__STRUCT_H_
#define MARTI_NAV_MSGS__MSG__DETAIL__ROUTE_SPEED__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'id'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/RouteSpeed in the package marti_nav_msgs.
/**
  * Speed at a position along route
 */
typedef struct marti_nav_msgs__msg__RouteSpeed
{
  /// only stamp used
  std_msgs__msg__Header header;
  /// unique ID of nearest point
  rosidl_runtime_c__String id;
  /// forward along route, in meters from point identified by id
  /// field (negative values indicate the distance is backward
  /// along the route)
  float distance;
  /// desired speed at the specified position
  float speed;
} marti_nav_msgs__msg__RouteSpeed;

// Struct for a sequence of marti_nav_msgs__msg__RouteSpeed.
typedef struct marti_nav_msgs__msg__RouteSpeed__Sequence
{
  marti_nav_msgs__msg__RouteSpeed * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} marti_nav_msgs__msg__RouteSpeed__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // MARTI_NAV_MSGS__MSG__DETAIL__ROUTE_SPEED__STRUCT_H_
